Open CASCADE Technology: PShort_HArray2OfShortReal Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PShort_HArray2OfShortReal Class Reference

`#include <PShort_HArray2OfShortReal.hxx>`

Inheritance diagram for PShort_HArray2OfShortReal:
[legend]

## Public Member Functions
| PShort_HArray2OfShortReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
| PShort_HArray2OfShortReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Standard_ShortReal &V)
Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | RowLength () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_ShortReal &Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_ShortReal | Value (const Standard_Integer Row, const Standard_Integer Col) const
| PShort_HArray2OfShortReal ()
| PShort_HArray2OfShortReal (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPShort_HArray2OfShortRealmyLowerRow () const
void | _CSFDB_SetPShort_HArray2OfShortRealmyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPShort_HArray2OfShortRealmyLowerCol () const
void | _CSFDB_SetPShort_HArray2OfShortRealmyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPShort_HArray2OfShortRealmyUpperRow () const
void | _CSFDB_SetPShort_HArray2OfShortRealmyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPShort_HArray2OfShortRealmyUpperCol () const
void | _CSFDB_SetPShort_HArray2OfShortRealmyUpperCol (const Standard_Integer p)
const PShort_FieldOfHArray2OfShortReal & | _CSFDB_GetPShort_HArray2OfShortRealData () const
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PShort_HArray2OfShortReal::PShort_HArray2OfShortReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

PShort_HArray2OfShortReal::PShort_HArray2OfShortReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Standard_ShortReal & | V
| ) |  |

PShort_HArray2OfShortReal::PShort_HArray2OfShortReal | ( |  | ) |
| inline

PShort_HArray2OfShortReal::PShort_HArray2OfShortReal | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const PShort_FieldOfHArray2OfShortReal& PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealData | ( |  | ) | const
| inline

Standard_Integer PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealmyLowerCol | ( |  | ) | const
| inline

Standard_Integer PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealmyLowerRow | ( |  | ) | const
| inline

Standard_Integer PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealmyUpperCol | ( |  | ) | const
| inline

Standard_Integer PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealmyUpperRow | ( |  | ) | const
| inline

void PShort_HArray2OfShortReal::_CSFDB_SetPShort_HArray2OfShortRealmyLowerCol | ( | const Standard_Integer | p | ) |
| inline

void PShort_HArray2OfShortReal::_CSFDB_SetPShort_HArray2OfShortRealmyLowerRow | ( | const Standard_Integer | p | ) |
| inline

void PShort_HArray2OfShortReal::_CSFDB_SetPShort_HArray2OfShortRealmyUpperCol | ( | const Standard_Integer | p | ) |
| inline

void PShort_HArray2OfShortReal::_CSFDB_SetPShort_HArray2OfShortRealmyUpperRow | ( | const Standard_Integer | p | ) |
| inline

Standard_Integer PShort_HArray2OfShortReal::ColLength | ( |  | ) | const

Standard_Integer PShort_HArray2OfShortReal::LowerCol | ( |  | ) | const

Standard_Integer PShort_HArray2OfShortReal::LowerRow | ( |  | ) | const

Standard_Integer PShort_HArray2OfShortReal::RowLength | ( |  | ) | const

void PShort_HArray2OfShortReal::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_ShortReal & | Value
| ) |  |

Standard_Integer PShort_HArray2OfShortReal::UpperCol | ( |  | ) | const

Standard_Integer PShort_HArray2OfShortReal::UpperRow | ( |  | ) | const

Standard_ShortReal PShort_HArray2OfShortReal::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const

The documentation for this class was generated from the following file:

- PShort_HArray2OfShortReal.hxx